#
# spec file for package hledger-api
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           hledger-api
Version:        1.5
Release:        7.3
Summary:        Web API server for the hledger accounting tool
License:        GPL-3.0-or-later
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-Decimal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-docopt-devel
BuildRequires:  ghc-either-devel
BuildRequires:  ghc-hledger-devel
BuildRequires:  ghc-hledger-lib-devel
BuildRequires:  ghc-microlens-devel
BuildRequires:  ghc-microlens-platform-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-servant-server-devel
BuildRequires:  ghc-servant-swagger-devel
BuildRequires:  ghc-swagger2-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-wai-extra-devel
BuildRequires:  ghc-warp-devel

%description
This is a simple web API server for hledger data. It comes with a series of
simple client-side web app examples.

hledger is a cross-platform program for tracking money, time, or any other
commodity, using double-entry accounting and a simple, editable file format.
It is inspired by and largely compatible with ledger(1). hledger provides
command-line, curses and web interfaces, and aims to be a reliable, practical
tool for daily use.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install

%files
%license LICENSE
%doc CHANGES README examples
%{_bindir}/%{name}
%dir %{_datadir}/%{name}-%{version}
%{_datadir}/%{name}-%{version}/hledger-api.1
%{_datadir}/%{name}-%{version}/hledger-api.info
%{_datadir}/%{name}-%{version}/hledger-api.txt

%changelog
* Thu Apr 12 2018 psimons@suse.com
- Update hledger-api to version 1.5.
  A more detailed change log is not available.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 1.2.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 1.1 with cabal2obs.
